
let imgUrlDomain = process.env.VUE_APP_IMAGE_SERVER
let photoImg = [
    "",
    // require('@/assets/images/d-default.png'),
    // require('@/assets/images/p-default.png')
]
export default {
    // 头像图片路径通配 type 1医生  2患者
    setImgUrl(str, type) {
        if (typeof str !== 'string') {
            return type? photoImg[type] : ""
        }
        if (str.length === 0) {
            return type? photoImg[type] : ""
        } else {
            if (str.indexOf('../') > -1) {
                // 访问本地路径
                return type? photoImg[type] : ""
                // return './images/' + str.split('/')[str.split('/').length - 1]
            } else if ((str.indexOf('http://') > -1) || (str.indexOf('https://') > -1)) {
                return str
            } else {
                // 服务器上的图片路径
                return imgUrlDomain + str
            }
        }
    },
    setDocPhoto(str){
        return this.setImgUrl(str, 1)
    },
    setPatiPhoto(str){
        return this.setImgUrl(str, 2)
    }
}
